Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2561 - iris-ansi-net missing from terminfo (exists in termcap)
Summary: iris-ansi-net missing from terminfo (exists in termcap)
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: ncurses3
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-05 08:05 UTC by ariel
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-27 20:37:44 UTC


Attachments (Terms of Use)

Description ariel 1999-05-05 08:05:23 UTC
[Note: This problem may exist in more than one Red Hat
 distribution (I picked raw Hide since it's the latest)
 and in more than one 'ncurses']


When logging in from any IRIX system to a Red Hat
linux system, $term is set by default to 'iris-ansi-net'
which doesn't exist in your terminfo database
(although it _does_ exist in /etc/termcap as an alias
for iris-ansi.)  This results in all curses based program
complaining about an unrecognized terminal and "using
dumb terminal settings".


A quick workaround is to create a link from iris-ansi-net
to iris-ansi (which already exists in the distribution).

Please add this in your next fix to ncurses/ncurses3
or whatever.  Thanks!

Comment 1 Cristian Gafton 1999-07-28 07:36:59 UTC
assigned to pbrown

Comment 2 Preston Brown 1999-08-27 20:37:59 UTC
this will be fixed in the next release (6.1).


Note You need to log in before you can comment on or make changes to this bug.